1.59 Baseband with 4.2.1

Discussion in 'Jailbreaks and iOS Hacks' started by TB07-NJ, Feb 12, 2011.

  1. TB07-NJ macrumors 68020

    Joined:
    Jul 7, 2008
    Location:
    FORMERLY NJ now FL
    #1
    Are they happy together or do I need to upgrade to the newest baseband to JB 4.2.1?

    There must be some "updates" in newer basebands. Am I losing anything by staying at 1.59?
     
  2. Benji222 macrumors 65816

    Benji222

    Joined:
    Dec 21, 2009
    Location:
    So Cal
    #2
    They fix some very small issues but mainly update it to close the exploits unlockers use. (thats what ive heard, not 100% though)
    If you have a twitter why not ask someone who does the unlocks

    I would suggest keeping it as low as possible if you ever will even think about selling or unlocking your phone
     
  3. awadeee macrumors 68020

    awadeee

    Joined:
    Jan 21, 2011
    Location:
    Viper City
    #3
    There is no problem with updating your firmware and preserving your baseband. In fact, the lower your baseband on the iPhone 4, the better (if it's an unlockable one). You're gonna have to use Pwnagetool or Tinyumbrella to upgrade your firmware without upgrading your baseband.
     
  4. TB07-NJ thread starter macrumors 68020

    Joined:
    Jul 7, 2008
    Location:
    FORMERLY NJ now FL
    #4
    Thanks all .....

    I'll use TU and maintain the 1.59 I have.
     
  5. studmule macrumors regular

    Joined:
    Aug 29, 2010
    #5
    I upated to 4.2.1 and kept my 1.59 baseband. It's working like a champ.
     
  6. TB07-NJ thread starter macrumors 68020

    Joined:
    Jul 7, 2008
    Location:
    FORMERLY NJ now FL
    #6

Share This Page